Subject: bug#16916: 24.3.50; scroll-bar-mode right breaks split-window-right, in no-window mode

From: Anders Lindgren <[email-masked]>
Date: Sat, 1 Mar 2014 22:34:11 +0100

Hi!

I just made a fresh update and the problem seems to have disappeared.

/ Anders

On Sat, Mar 1, 2014 at 8:18 PM, martin rudalics <[email-masked]> wrote:

> >     emacs -Q -nw
> >     (set-scroll-bar-mode 'right) C-j
> >     C-x 3
> >
> >     Here, an error "Wrong type argument: number-or-marker-p, nil" is
> issued.
> >
> > When enabling debug on error, it appears as though the problem is in the
> > function `window--min-size-1'.
>
> Sorry, I can't check that here.  Are you sure the bug does not happen
> with scrollbars on the left?
>
> > In GNU Emacs 24.3.50.2 (x86_64-apple-darwin13.0.0, NS
> apple-appkit-1265.00)
> >  of 2014-02-16 on macpro.lan
> > Repository revision: 116451
> > [email-masked]
>
> I have made some changes in this area recently.  Maybe upgrading helps.
>
> > window--min-size-1: Wrong type argument: number-or-marker-p, nil
>
> Could you get a more maningful backtrace here?  Can you step through
> this with the debugger?
>
> martin
>